From e553d48f2ba9eae9dcc14423c7368045615dc154 Mon Sep 17 00:00:00 2001
From: Pavan Deolasee <pavan.deolasee@gmail.com>
Date: Mon, 1 Jul 2024 19:37:16 +0530
Subject: [PATCH] Fix missing installation/uninstallation rules for
 BackgroundPsql.pm

Commit 31877cd8 backported BackgroundPsql perl module module with helper
functions for tests running interactive or background psql tasks. to
PG 12 to 15, but did not add installation/uninstallation rules of the build
system, causing problems running TAP tests for the extensions.
---
 src/test/perl/Makefile | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/src/test/perl/Makefile b/src/test/perl/Makefile
index 811acf7cd59..2adb9e91f39 100644
--- a/src/test/perl/Makefile
+++ b/src/test/perl/Makefile
@@ -26,6 +26,7 @@ install: all installdirs
 	$(INSTALL_DATA) $(srcdir)/PostgresVersion.pm '$(DESTDIR)$(pgxsdir)/$(subdir)/PostgresVersion.pm'
 	$(INSTALL_DATA) $(srcdir)/PostgreSQL/Test/Cluster.pm '$(DESTDIR)$(pgxsdir)/$(subdir)/PostgreSQL/Test/Cluster.pm'
 	$(INSTALL_DATA) $(srcdir)/PostgreSQL/Test/Utils.pm '$(DESTDIR)$(pgxsdir)/$(subdir)/PostgreSQL/Test/Utils.pm'
+	$(INSTALL_DATA) $(srcdir)/PostgreSQL/Test/BackgroundPsql.pm '$(DESTDIR)$(pgxsdir)/$(subdir)/PostgreSQL/Test/BackgroundPsql.pm'
 
 uninstall:
 	rm -f '$(DESTDIR)$(pgxsdir)/$(subdir)/TestLib.pm'
@@ -35,5 +36,6 @@ uninstall:
 	rm -f '$(DESTDIR)$(pgxsdir)/$(subdir)/PostgresVersion.pm'
 	rm -f '$(DESTDIR)$(pgxsdir)/$(subdir)/PostgreSQL/Test/Cluster.pm'
 	rm -f '$(DESTDIR)$(pgxsdir)/$(subdir)/PostgreSQL/Test/Utils.pm'
+	rm -f '$(DESTDIR)$(pgxsdir)/$(subdir)/PostgreSQL/Test/BackgroundPsql.pm'
 
 endif
-- 
2.38.1

